Package it.ernytech.tdlib

## Class TdApi.InlineQueryResultVideo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineQueryResult
    - - it.ernytech.tdlib.TdApi.InlineQueryResultVideo

Enclosing class:
  TdApi

    public static class TdApi.InlineQueryResultVideo
    extends TdApi.InlineQueryResult

Represents a video.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Description of the video.
`java.lang.String` `id` Unique identifier of the query result.
`java.lang.String` `title` Title of the video.
`TdApi.Video` `video` Video.

### Constructor Summary

Constructors
`InlineQueryResultVideo()` Default constructor.
`InlineQueryResultVideo​(java.lang.String id, TdApi.Video video, java.lang.String title, java.lang.String description)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### video

    public TdApi.Video video

Video.

#### title

    public java.lang.String title

Title of the video.

#### description

    public java.lang.String description

Description of the video.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InlineQueryResultVideo

    public InlineQueryResultVideo()

Default constructor.

#### InlineQueryResultVideo

    public InlineQueryResultVideo​(java.lang.String id,
                                  TdApi.Video video,
                                  java.lang.String title,
                                  java.lang.String description)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `video` - Video.
  `title` - Title of the video.
  `description` - Description of the video.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR